## r-cran-qgam 1.3.4

=== DESCRIPTION ===
Package: qgam
Type: Package
Title: Smooth Additive Quantile Regression Models
Version: 1.3.4
Date: 2021-11-21
Authors@R: c(person("Matteo", "Fasiolo", email = "matteo.fasiolo@gmail.com", role = c("aut", "cre")),
             person("Simon", "N. Wood", role = c("ctb")), 
             person("Margaux", "Zaffran", role = c("ctb")), 
             person("Yannig", "Goude", role = c("ctb")),
             person("Raphael", "Nedellec", role = c("ctb")))
Maintainer: Matteo Fasiolo <matteo.fasiolo@gmail.com>
Description: Smooth additive quantile regression models, fitted using
    the methods of Fasiolo et al. (2020) <doi:10.1080/01621459.2020.1725521>.
    See Fasiolo at al. (2021) <doi:10.18637/jss.v100.i09> for an introduction to the package. Differently from
    'quantreg', the smoothing parameters are estimated automatically by marginal
    loss minimization, while the regression coefficients are estimated using either
    PIRLS or Newton algorithm. The learning rate is determined so that the Bayesian
    credible intervals of the estimated effects have approximately the correct
    coverage. The main function is qgam() which is similar to gam() in 'mgcv', but
    fits non-parametric quantile regression models.
License: GPL (>= 2)
Depends: R (>= 3.5.0), mgcv (>= 1.8-28)
Imports: shiny, plyr, doParallel, parallel, grDevices
Suggests: knitr, rmarkdown, MASS, RhpcBLASctl, testthat
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-11-22 12:23:36 UTC; mf15002
Author: Matteo Fasiolo [aut, cre],
  Simon N. Wood [ctb],
  Margaux Zaffran [ctb],
  Yannig Goude [ctb],
  Raphael Nedellec [ctb]
Repository: CRAN
Date/Publication: 2021-11-22 19:30:02 UTC

=== debian/changelog ===
r-cran-qgam (1.3.4-1) unstable; urgency=medium

  * Initial release (closes: #1094338)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Jan 2025 11:51:37 +0100

=== debian/control ===
Source: r-cran-qgam
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mgcv,
               r-cran-shiny,
               r-cran-plyr,
               r-cran-doparallel
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qgam
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qgam.git
Homepage: https://cran.r-project.org/package=qgam
Rules-Requires-Root: no

Package: r-cran-qgam
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Smooth Additive Quantile Regression Models
 Smooth additive quantile regression models, fitted using the methods of
 Fasiolo et al. (2020) <doi:10.1080/01621459.2020.1725521>. See Fasiolo
 at al. (2021) <doi:10.18637/jss.v100.i09> for an introduction to the
 package. Differently from 'quantreg', the smoothing parameters are
 estimated automatically by marginal loss minimization, while the
 regression coefficients are estimated using either PIRLS or Newton
 algorithm. The learning rate is determined so that the Bayesian credible
 intervals of the estimated effects have approximately the correct
 coverage. The main function is qgam() which is similar to gam() in
 'mgcv', but fits non-parametric quantile regression models.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/qgam_([-\d.]*)\.tar\.gz

## r-cran-qgam 2.0.0

=== debian/changelog ===
r-cran-qgam (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Trim trailing whitespace.

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 11:40:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: r-cran-qgam
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Michael R. Crusoe <crusoe@debian.org>
+Uploaders:
+ Michael R. Crusoe <crusoe@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-mgcv,
-               r-cran-shiny,
-               r-cran-plyr,
-               r-cran-doparallel
-Standards-Version: 4.7.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-mgcv (>= 1.9),
+ r-cran-shiny,
+ r-cran-plyr,
+ r-cran-doparallel,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qgam.git
 Homepage: https://cran.r-project.org/package=qgam
@@ -19,11 +22,14 @@
 
 Package: r-cran-qgam
 Architecture: any
-Depends: ${R:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: Smooth Additive Quantile Regression Models
  Smooth additive quantile regression models, fitted using the methods of
  Fasiolo et al. (2020) <doi:10.1080/01621459.2020.1725521>. See Fasiolo

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-mass,
 r-cran-rhpcblasctl,
 r-cran-testthat,
